Set service storage backup schedule
API server
https://app.coolify.io/api/v1Create or replace the backup schedule for a service persistent volume or directory storage. A schedule with stop_during_backup needs a token with the deploy permission.
Authorization
bearerAuth Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Path Parameters
UUID of the service.
UUID of the persistent volume or directory storage.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
length <= 255truefalsefalseStop the resource containers during the backup. Needs a token with the deploy permission.
falsePrimary S3 storage UUID. Sent without s3_storage_uuids, it selects this storage as the only destination.
UUIDs of every S3 storage the backup is uploaded to. When s3_storage_uuid is also sent, it must be in this list and becomes the primary destination; otherwise the first entry is the primary destination. save_s3 requires at least one destination.
70 <= value <= 1000000 <= value <= 21474836470float0 <= value <= 999999999970 <= value <= 1000000 <= value <= 21474836470float0 <= value <= 99999999993600060 <= value <= 36000Alert after this many days without an execution; 0 disables alerts
00 <= value <= 365Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://app.coolify.io/api/v1/services/string/storages/string/backups" \ -H "Content-Type: application/json" \ -d '{ "frequency": "0 2 * * *" }'{ "uuid": "string", "message": "string", "storage_uuid": "string", "storage_type": "persistent", "frequency": "string", "enabled": true, "save_s3": true, "disable_local_backup": true, "stop_during_backup": true, "s3_storage_uuid": "string", "s3_storage_uuids": [ "string" ], "retention_amount_locally": 0, "retention_days_locally": 0, "retention_max_storage_locally": 0.1, "retention_amount_s3": 0, "retention_days_s3": 0, "retention_max_storage_s3": 0.1, "timeout": 0, "missing_backup_notification_days": 0}{ "uuid": "string", "message": "string", "storage_uuid": "string", "storage_type": "persistent", "frequency": "string", "enabled": true, "save_s3": true, "disable_local_backup": true, "stop_during_backup": true, "s3_storage_uuid": "string", "s3_storage_uuids": [ "string" ], "retention_amount_locally": 0, "retention_days_locally": 0, "retention_max_storage_locally": 0.1, "retention_amount_s3": 0, "retention_days_s3": 0, "retention_max_storage_s3": 0.1, "timeout": 0, "missing_backup_notification_days": 0}{ "message": "Invalid token."}{ "message": "Unauthenticated."}{ "message": "Resource not found."}{ "message": "Validation error.", "errors": { "name": [ "The name field is required." ], "api_url": [ "The api url field is required.", "The api url format is invalid." ] }}